Gecode::Kernel::SharedSpaceData::Data Class Reference

The shared data. More...

`#include <shared-space-data.hpp>`

## Public Member Functions

| Data (void)
| Default constructor.
virtual | ~Data (void)
| Destructor.
Public Member Functions inherited from Gecode::SharedHandle::Object
| Object (void)
| Initialize.
virtual | ~Object (void)
| Delete shared object.

## Public Attributes

SharedMemory | sm
| The shared memory area.
GPI | gpi
| The global propagator information.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

The shared data.

Definition at line 40 of file shared-space-data.hpp.

## Constructor & Destructor Documentation

## Data()

Gecode::Kernel::SharedSpaceData::Data::Data | ( | void |  | ) |

inline

Default constructor.

Definition at line 66 of file shared-space-data.hpp.

## ~Data()

Gecode::Kernel::SharedSpaceData::Data::~Data | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 69 of file shared-space-data.hpp.

## Member Data Documentation

## sm

SharedMemory Gecode::Kernel::SharedSpaceData::Data::sm

The shared memory area.

Definition at line 43 of file shared-space-data.hpp.

## gpi

GPI Gecode::Kernel::SharedSpaceData::Data::gpi

The global propagator information.

Definition at line 45 of file shared-space-data.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/shared-space-data.hpp